Bug 565069 - FTBFS tilda-0.9.6-3.fc12: ImplicitDSOLinking
FTBFS tilda-0.9.6-3.fc12: ImplicitDSOLinking
Product: Fedora
Classification: Fedora
Component: tilda (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: Xavier Lamien
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks: 564245 583278
  Show dependency treegraph
Reported: 2010-02-13 12:48 EST by FTBFS
Modified: 2010-05-01 16:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-05-01 15:15:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
root.log (455.01 KB, text/plain)
2010-02-13 12:48 EST, FTBFS
no flags Details
build.log (31.14 KB, text/plain)
2010-02-13 12:48 EST, FTBFS
no flags Details
mock.log (943 bytes, text/plain)
2010-02-13 12:48 EST, FTBFS
no flags Details
root.log (707.23 KB, text/plain)
2010-02-13 12:48 EST, FTBFS
no flags Details
build.log (30.78 KB, text/plain)
2010-02-13 12:48 EST, FTBFS
no flags Details
mock.log (1.00 KB, text/plain)
2010-02-13 12:48 EST, FTBFS
no flags Details
Makefile.in patch (317 bytes, patch)
2010-04-24 14:48 EDT, Bruno Wolff III
no flags Details | Diff
Makefile.am patch (315 bytes, patch)
2010-04-24 14:49 EDT, Bruno Wolff III
no flags Details | Diff

  None (edit)
Description FTBFS 2010-02-13 12:48:11 EST
tilda-0.9.6-3.fc12.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
This failure is due to a change in the linker default behavior, which uncovered a fault in your package.  See http://fedoraproject.org/wiki/Features/ChangeInImplicitDSOLinking .
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)
Comment 1 FTBFS 2010-02-13 12:48:14 EST
Created attachment 393341 [details]

root.log for i386
Comment 2 FTBFS 2010-02-13 12:48:15 EST
Created attachment 393342 [details]

build.log for i386
Comment 3 FTBFS 2010-02-13 12:48:16 EST
Created attachment 393343 [details]

mock.log for i386
Comment 4 FTBFS 2010-02-13 12:48:18 EST
Created attachment 393344 [details]

root.log for x86_64
Comment 5 FTBFS 2010-02-13 12:48:19 EST
Created attachment 393345 [details]

build.log for x86_64
Comment 6 FTBFS 2010-02-13 12:48:20 EST
Created attachment 393346 [details]

mock.log for x86_64
Comment 7 Bug Zapper 2010-03-15 10:54:43 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
Comment 8 Bruno Wolff III 2010-04-24 14:48:15 EDT
Created attachment 408869 [details]
Makefile.in patch

As part of my Fedora engineering services tasks I took a look at this bug.
I am attaching patches for src/Makefile.am and src/Makefile.in.
The .in patch appears to fix the build problem. The .am patch is for upstream.
Comment 9 Bruno Wolff III 2010-04-24 14:49:05 EDT
Created attachment 408870 [details]
Makefile.am patch
Comment 10 Xavier Lamien 2010-05-01 15:15:36 EDT
Looks like you mistaken by sending your patches to the wrong bug number ;).

However, this bug has been fixed in release 0.9.6-4.
Comment 11 Bruno Wolff III 2010-05-01 16:00:33 EDT
Well sort of. I think I accidentally did the wrong diff or overwrote the diff files by mistake. I was looking at both opencdk and tilda on the same day. Anyway, since you fixed tilda, I don't have to worry about that. I'll go check opencdk to make sure I didn't swap the diff files.
Thanks for pointing out the mistake, so that I would know to double check opencdk.

Note You need to log in before you can comment on or make changes to this bug.